## traverso 0.49.6

=== CMakeLists.txt ===
#CMAKE SETUP
#Require 3.1.0 for Qt finding
CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)

SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)
SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

IF(COMMAND CMAKE_POLICY)
	CMAKE_POLICY(SET CMP0005 NEW)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)


#PROJECT SETUP
PROJECT(traverso)
SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "49")
SET (VERSION_PATCH "6")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})

MESSAGE(STATUS "Traverso ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

OPTION(WANT_JACK    	"Include Jack (Jack Audio Connection Kit) support" ON)
OPTION(WANT_ALSA    	"Include ALSA (Advanced Linux Sound Architecture) support" ON)
OPTION(WANT_PORTAUDIO	"Include PortAudio support (Driver support for Mac OS X and Windows" OFF)
OPTION(WANT_PULSEAUDIO	"Include PulseAudio support (Driver support for Linux and Windows" OFF)
OPTION(WANT_COREAUDIO	"Include CoreAudio support (Driver support for Mac OS X" OFF)
OPTION(WANT_LV2		"Include LV2 Plugin support" ON)
OPTION(WANT_MP3_DECODE	"Include mp3 decoding support, for playing mp3 files" ON)
OPTION(WANT_MP3_ENCODE	"Include mp3 encoding support, for creating mp3 files" OFF)
OPTION(WANT_PCH     	"Use precompiled headers" OFF)
OPTION(WANT_DEBUG   	"Debug build" OFF)
# OPTION(WANT_OPENGL	"Build Traverso with OpenGL support" OFF)
OPTION(WANT_TRAVERSO_DEBUG "Provides 4 levels of debug ouput on the command line, always on for DEBUG builds" OFF)
OPTION(WANT_THREAD_CHECK	"Checks at runtime if functions are called from the correct thread, used by developers for debugging" OFF)
OPTION(WANT_VECLIB_OPTIMIZATIONS "Build with veclib optimizations (Only for PPC based Mac OS X)" OFF)
OPTION(AUTOPACKAGE_BUILD "Build traverso with autopackage tools" OFF)
OPTION(DETECT_HOST_CPU_FEATURES "Detect the feature set of the host cpu, and compile with an optimal set of compiler flags" OFF)


SET(MAIN_DIR_NAME "src")
IF(TAG_VERSION)
  MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

IF(WIN32)
SET(WANT_LV2 OFF)
ENDIF(WIN32)

# Static build is perfectly fine now, targets are properly relinked when needed!
SET(TRAVERSO_DEFINES -DSTATIC_BUILD)

#BUILD SETUP
#None, Debug, Release, .. or custom ones
IF(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE DEBUG)
  SET(WANT_TRAVERSO_DEBUG ON)
ELSE(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE RELEASE)
  LIST(APPEND TRAVERSO_DEFINES -DQT_NO_DEBUG)
ENDIF(WANT_DEBUG)


IF(WANT_TRAVERSO_DEBUG)
  LIST(APPEND TRAVERSO_DEFINES -DUSE_DEBUGGER)
ENDIF(WANT_TRAVERSO_DEBUG)


# Moves the Traverso exec. to the root dir and libs to the root's lib dir.
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/lib)


# Add Mac build paths for DarwinPorts / MacPorts
# These need to be defined up here, above the include checks
IF(APPLE)
	INCLUDE_DIRECTORIES("/opt/local/include")
	SET (CMAKE_REQUIRED_INCLUDES "/opt/local/include")
	LINK_DIRECTORIES("/opt/local/lib")
ENDIF(APPLE)


SET(MINIMAL_ALSA_VERSION 1.0.0)
SET(MINIMAL_JACK_VERSION 0.100)
SET(MINIMAL_PORTAUDIO_VERSION 19)
SET(MINIMAL_WAVPACK_VERSION 4.40.0)
SET(MINIMAL_OGG_VORBIS_VERSION 1.1.2)
SET(MINIMAL_MAD_VERSION 0.15.0)
SET(MINIMAL_FLAC_VERSION 1.1.2)
SET(MINIMAL_FFTW_VERSION 3.0.0)
SET(MINIMAL_PULSAUDIO_VERSION 0.9)
SET(HAVE_COREAUDIO FALSE)

SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -Wall ${CXX_FLAGS}")
SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -Wall -fPIC ${CXX_FLAGS}")

# Detect the flags to be used for large file support
execute_process(
	COMMAND getconf LFS_CFLAGS
	OUTPUT_VARIABLE getconf_invoke_result
	RESULT_VARIABLE getconf_failed
)

# remove linebrakes, white spaces (getconf_invoke_result)
string(REGEX REPLACE "[\r\n]"                  " " getconf_invoke_result "${getconf_invoke_result}")

# now we have the proper flags for large file support, so set these!
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${getconf_invoke_result}")
SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} ${getconf_invoke_result}")


INCLUDE (${CMAKE_ROOT}/Modules/TestBigEndian.cmake)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)


# Check for PKG-CONFIG
FIND_PACKAGE(PkgConfig REQUIRED)
IF(PKG_CONFIG_FOUND)
    MESSAGE(STATUS "Program pkg-config found (${PKG_CONFIG_EXECUTABLE})")
ELSE(PKG_CONFIG_FOUND)
    MESSAGE(FATAL_ERROR "Program pkg-config not found")
ENDIF(PKG_CONFIG_FOUND)


#FIND DEPENDENCIES

INCLUDE (ConfigureChecks.cmake)

# IF(WANT_OPENGL)
# 	IF(QT_QTOPENGL_FOUND)
# 		LIST(APPEND TRAVERSO_DEFINES -DQT_OPENGL_SUPPORT) 
# 		SET(HAVE_OPENGL TRUE)
# 	ENDIF(QT_QTOPENGL_FOUND)
# ELSE(WANT_OPENGL)
# 	SET(HAVE_OPENGL FALSE)
# ENDIF(WANT_OPENGL)



IF(WANT_PORTAUDIO)
	CHECK_INCLUDE_FILE("portaudio.h" HAVE_PORTAUDIO_H)
	IF(NOT HAVE_PORTAUDIO_H)
		MESSAGE(FATAL_ERROR "PortAudio support requested, but PortAudio development headers could not be found!\nPlease install the PortAudio development package, remove CMakeCache.txt and run cmake again")
	ENDIF(NOT HAVE_PORTAUDIO_H)
	PKG_CHECK_MODULES(PORTAUDIO portaudio-2.0>=${MINIMAL_PORTAUDIO_VERSION})
	IF(PORTAUDIO_FOUND)
		LIST(APPEND TRAVERSO_DEFINES -DPORTAUDIO_SUPPORT)
		MESSAGE("-- PortAudio Library Found OK")
		SET(HAVE_PORTAUDIO TRUE)
	ENDIF(PORTAUDIO_FOUND)
ELSE(WANT_PORTAUDIO)
		SET(HAVE_PORTAUDIO FALSE)
ENDIF(WANT_PORTAUDIO)


IF(WANT_PULSEAUDIO)
	CHECK_INCLUDE_FILE("pulse/pulseaudio.h" HAVE_PULSEAUDIO_H)
	IF(NOT HAVE_PULSEAUDIO_H)
		MESSAGE(SEND_ERROR "PulseAudio support requested, but PulseAudio development headers could not be found!\nPlease install the PortAudio development package, remove CMakeCache.txt and run cmake again")
	ELSE(NOT HAVE_PULSEAUDIO_H)
		LIST(APPEND TRAVERSO_DEFINES -DPULSEAUDIO_SUPPORT)
		MESSAGE("-- PULSEAUDIO Library Found OK")
		SET(HAVE_PULSEAUDIO TRUE)
	ENDIF(NOT HAVE_PULSEAUDIO_H)
ELSE(WANT_PULSEAUDIO)
	SET(HAVE_PULSEAUDIO FALSE)
ENDIF(WANT_PULSEAUDIO)



IF(WANT_LV2)
        IF(PKG_CONFIG_FOUND)
                PKG_CHECK_MODULES(LIBLILV lilv-0>=0.4.4)
                IF (LIBLILV_FOUND)
                    MESSAGE("-- LILV Library Found OK")
                    INCLUDE_DIRECTORIES(${LIBLILV_INCLUDE_DIRS})
                    SET (LV2_SUPPORT TRUE)
                    SET(HAVE_LILV TRUE)
                ELSE (LIBLILV_FOUND)
                    MESSAGE("LILV support disabled")
                    SET (LV2_SUPPORT FALSE)
                    SET(HAVE_LILV FALSE)
                ENDIF (LIBLILV_FOUND)
        ENDIF(PKG_CONFIG_FOUND)


        LIST(APPEND TRAVERSO_DEFINES -DLV2_SUPPORT)
        SET(SLV2OPTIONS "${HAVE_LILV}")
ELSE(WANT_LV2)
        SET(HAVE_LILV FALSE)
        SET (LV2_SUPPORT FALSE)
ENDIF(WANT_LV2)


CHECK_INCLUDE_FILE("wavpack/wavpack.h" HAVE_WAVPACK_H)
IF(NOT HAVE_WAVPACK_H)
	MESSAGE(FATAL_ERROR "WavPack development headers could not be found!\nPlease install the WavPack development package, remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_WAVPACK_H)
PKG_CHECK_MODULES(WAVPACK  wavpack>=${MINIMAL_WAVPACK_VERSION})
IF (WAVPACK_FOUND)
  MESSAGE("-- WavPack Library Found OK")
ELSE(WAVPACK_FOUND)
  MESSAGE(SEND_ERROR "No WavPack found (WavPack >= ${MINIMAL_WAVPACK_VERSION} needs to be installed!)")
ENDIF(WAVPACK_FOUND)


CHECK_INCLUDE_FILE("vorbis/vorbisfile.h" HAVE_VORBISFILE_H)
IF(NOT HAVE_VORBISFILE_H)
	MESSAGE(FATAL_ERROR "Ogg Vorbis development headers could not be found!\nPlease install the Ogg Vorbis development package, remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_VORBISFILE_H)
PKG_CHECK_MODULES(VORBIS  vorbis>=${MINIMAL_OGG_VORBIS_VERSION})
IF (VORBIS_FOUND)
  MESSAGE("-- Ogg Vorbis Library Found OK")
ELSE(VORBIS_FOUND)
  MESSAGE(SEND_ERROR "No Ogg Vorbis found (Ogg Vorbis >= ${MINIMAL_OGG_VORBIS_VERSION} needs to be installed!)")
ENDIF(VORBIS_FOUND)


CHECK_INCLUDE_FILE("FLAC/export.h" HAVE_FLAC_H)
IF(HAVE_FLAC_H)
	MESSAGE("-- FLAC Library Found OK")
ELSE(HAVE_FLAC_H)
	PKG_CHECK_MODULES(FLAC  flac>=${MINIMAL_FLAC_VERSION})
	IF (FLAC_FOUND)
		MESSAGE("-- FLAC Library Found OK")
	ELSE(FLAC_FOUND)
		MESSAGE(FATAL_ERROR "No FLAC found (FLAC >= ${MINIMAL_FLAC_VERSION} needs to be installed!)")
	ENDIF(FLAC_FOUND)
ENDIF(HAVE_FLAC_H)


IF(WANT_MP3_DECODE)
	CHECK_INCLUDE_FILE("mad.h" HAVE_MAD_H)
	IF(HAVE_MAD_H)
		SET(HAVE_MP3_DECODING TRUE)
		LIST(APPEND TRAVERSO_DEFINES -DMP3_DECODE_SUPPORT)
	ELSE(HAVE_MAD_H)
		PKG_CHECK_MODULES(MAD mad>=${MINIMAL_MAD_VERSION})
		IF(MAD_FOUND)
			SET(HAVE_MP3_DECODING TRUE)
			LIST(APPEND TRAVERSO_DEFINES -DMP3_DECODE_SUPPORT)
			MESSAGE("-- MP3 Decoding Library Found OK")
		ELSE(MAD_FOUND)
			MESSAGE(FATAL_ERROR "MP3 decoding support requested, but mp3 development headers (mad.h) could not be found!\nPlease install the mp3 development package (Usually called libmad0-dev), remove CMakeCache.txt and run cmake again")
		ENDIF(MAD_FOUND)
	ENDIF(HAVE_MAD_H)
ELSE(WANT_MP3_DECODE)
	SET(HAVE_MP3_DECODING FALSE)
ENDIF(WANT_MP3_DECODE)


IF(WANT_MP3_ENCODE)
	CHECK_INCLUDE_FILE("lame/lame.h" HAVE_LAME_H)
	IF(HAVE_LAME_H)
		LIST(APPEND TRAVERSO_DEFINES -DMP3_ENCODE_SUPPORT)
		MESSAGE("-- Building with mp3 encoding support enabled")
		SET(HAVE_MP3_ENCODING TRUE)
	ELSE(HAVE_LAME_H)
		MESSAGE(FATAL_ERROR "MP3 encoding support requested, but mp3 development headers (lame.h) could not be found!\nPlease install the lame development package (Usually called liblame-dev), remove CMakeCache.txt and run cmake again")
	ENDIF(HAVE_LAME_H)
ELSE(WANT_MP3_ENCODE)
	SET(HAVE_MP3_ENCODING FALSE)
ENDIF(WANT_MP3_ENCODE)


CHECK_INCLUDE_FILE("fftw3.h" HAVE_FFTW3_H)
IF(NOT HAVE_FFTW3_H)
	MESSAGE(FATAL_ERROR "FFTW3 development headers could not be found!\nPlease install the FFTW3 development package (fftw3-dev), remove CMakeCache.txt and run cmake again")
ENDIF(NOT HAVE_FFTW3_H)
PKG_CHECK_MODULES(FFTW3  fftw3>=${MINIMAL_FFTW_VERSION})
IF (FFTW3_FOUND)
  MESSAGE("-- FFTW3 Library Found OK")
ELSE(FFTW3_FOUND)
  MESSAGE(SEND_ERROR "No FFTW3 found (FFTW3 >= ${MINIMAL_FFTW_VERSION} needs to be installed!)")
ENDIF(FFTW3_FOUND)


CHECK_INCLUDE_FILE("sys/vfs.h" HAVE_SYS_VFS_H)
IF(HAVE_SYS_VFS_H)
	LIST(APPEND TRAVERSO_DEFINES -DHAVE_SYS_VFS_H)
ENDIF(HAVE_SYS_VFS_H)

CHECK_INCLUDE_FILE("sys/stat.h" HAVE_SYS_STAT_H)
IF(HAVE_SYS_STAT_H)
	LIST(APPEND TRAVERSO_DEFINES -DHAVE_SYS_STAT_H)
ENDIF(HAVE_SYS_STAT_H)


#Create configure files.. config.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)


#uninstall
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


SET (QT_MIN_VERSION "5.6.0")
find_package(Qt5 COMPONENTS Core Widgets Xml REQUIRED)
set(CMAKE_AUTOMOC ON)


#Set up include dirs with all found packages
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/common
${Qt5Widgets_INCLUDE_DIRS}
${Qt5Widgets_INCLUDES}
${Qt5Xml_INCLUDE_DIRS}
${Qt5Xml_INCLUDES}
)

set(CMAKE_CXX_FLAGS "-fPIC")

#Set up libraries to link with all found packages
LINK_LIBRARIES (
${QT_QT_LIBRARY}
)

SET(CMAKE_AUTOUIC ON) 


CHECK_FUNCTION_EXISTS(posix_memalign HAVE_POSIX_MEMALIGN)
IF(NOT HAVE_POSIX_MEMALIGN)
	LIST(APPEND TRAVERSO_DEFINES -DNO_POSIX_MEMALIGN)
	MESSAGE("Did not find posix_memalign(), using malloc")
ENDIF(NOT HAVE_POSIX_MEMALIGN)


CHECK_FUNCTION_EXISTS(mlock HAVE_MLOCK)
IF(HAVE_MLOCK)
	LIST(APPEND TRAVERSO_DEFINES -DUSE_MLOCK)
ENDIF(HAVE_MLOCK)



IF(UNIX)
	
#BEGIN Mac OS X section
	IF(APPLE)

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(engine)
ADD_SUBDIRECTORY(audiofileio)
ADD_SUBDIRECTORY(commands)
ADD_SUBDIRECTORY(core)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(sheetcanvas)
ADD_SUBDIRECTORY(traverso)

IF(USE_PCH)
    ADD_PRECOMPILED_HEADER(precompiled_headers precompile.h)
ENDIF(USE_PCH)

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... install/local"
	@echo "... install"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... rebuild_cache"
	@echo "... package_source"
	@echo "... edit_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/audiofileio/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/audiofileio/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/audiofileio/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/audiofileio/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/audiofileio/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/audiofileio/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/audiofileio/CMakeFiles/traversoaudiofileio.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/audiofileio/CMakeFiles/traversoaudiofileio.dir/rule
.PHONY : src/audiofileio/CMakeFiles/traversoaudiofileio.dir/rule

# Convenience name for target.
traversoaudiofileio: src/audiofileio/CMakeFiles/traversoaudiofileio.dir/rule

.PHONY : traversoaudiofileio

# fast build rule for target.
traversoaudiofileio/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build
.PHONY : traversoaudiofileio/fast

# Convenience name for target.
src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/rule
.PHONY : src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/rule

# Convenience name for target.
traversoaudiofileio_automoc: src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/rule

.PHONY : traversoaudiofileio_automoc

# fast build rule for target.
traversoaudiofileio_automoc/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/build
.PHONY : traversoaudiofileio_automoc/fast

decode/AbstractAudioReader.o: decode/AbstractAudioReader.cpp.o

.PHONY : decode/AbstractAudioReader.o

# target to build an object file
decode/AbstractAudioReader.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/AbstractAudioReader.cpp.o
.PHONY : decode/AbstractAudioReader.cpp.o

decode/AbstractAudioReader.i: decode/AbstractAudioReader.cpp.i

.PHONY : decode/AbstractAudioReader.i

# target to preprocess a source file
decode/AbstractAudioReader.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/AbstractAudioReader.cpp.i
.PHONY : decode/AbstractAudioReader.cpp.i

decode/AbstractAudioReader.s: decode/AbstractAudioReader.cpp.s

.PHONY : decode/AbstractAudioReader.s

# target to generate assembly for a file
decode/AbstractAudioReader.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/AbstractAudioReader.cpp.s
.PHONY : decode/AbstractAudioReader.cpp.s

decode/FlacAudioReader.o: decode/FlacAudioReader.cpp.o

.PHONY : decode/FlacAudioReader.o

# target to build an object file
decode/FlacAudioReader.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/FlacAudioReader.cpp.o
.PHONY : decode/FlacAudioReader.cpp.o

decode/FlacAudioReader.i: decode/FlacAudioReader.cpp.i

.PHONY : decode/FlacAudioReader.i

# target to preprocess a source file
decode/FlacAudioReader.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/FlacAudioReader.cpp.i
.PHONY : decode/FlacAudioReader.cpp.i

decode/FlacAudioReader.s: decode/FlacAudioReader.cpp.s

.PHONY : decode/FlacAudioReader.s

# target to generate assembly for a file
decode/FlacAudioReader.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/FlacAudioReader.cpp.s
.PHONY : decode/FlacAudioReader.cpp.s

decode/MadAudioReader.o: decode/MadAudioReader.cpp.o

.PHONY : decode/MadAudioReader.o

# target to build an object file
decode/MadAudioReader.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/MadAudioReader.cpp.o
.PHONY : decode/MadAudioReader.cpp.o

decode/MadAudioReader.i: decode/MadAudioReader.cpp.i

.PHONY : decode/MadAudioReader.i

# target to preprocess a source file
decode/MadAudioReader.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/MadAudioReader.cpp.i
.PHONY : decode/MadAudioReader.cpp.i

decode/MadAudioReader.s: decode/MadAudioReader.cpp.s

.PHONY : decode/MadAudioReader.s

# target to generate assembly for a file
decode/MadAudioReader.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/MadAudioReader.cpp.s
.PHONY : decode/MadAudioReader.cpp.s

decode/ResampleAudioReader.o: decode/ResampleAudioReader.cpp.o

.PHONY : decode/ResampleAudioReader.o

# target to build an object file
decode/ResampleAudioReader.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/decode/ResampleAudioReader.cpp.o
.PHONY : decode/ResampleAudioReader.cpp.o

decode/ResampleAudioReader.i: decode/ResampleAudioReader.cpp.i

=== src/commands/CMakeLists.txt ===
ADD_SUBDIRECTORY(plugins)

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/traverso
${CMAKE_SOURCE_DIR}/src/sheetcanvas
${CMAKE_SOURCE_DIR}/src/plugins
${CMAKE_SOURCE_DIR}/src/plugins/native
${QT_QTGUI_INCLUDE_DIR}
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_COMMANDS_SOURCES
AudioClipExternalProcessing.cpp
AddRemove.cpp
ClipSelection.cpp
CommandGroup.cpp
Crop.cpp
ExternalProcessingDialog.cpp
Fade.cpp
Gain.cpp
Import.cpp
MoveClip.cpp
MoveEdge.cpp
PCommand.cpp
SplitClip.cpp
TrackPan.cpp
Zoom.cpp
Scroll.cpp
ArmTracks.cpp
PlayHeadMove.cpp
WorkCursorMove.cpp
RemoveClip.cpp
)

SET(TRAVERSO_COMMANDS_MOC_CLASSES
Crop.h
ExternalProcessingDialog.h
Gain.h
MoveClip.h
TrackPan.h
Zoom.h
)

SET(TRAVERSO_COMMANDS_UI_FILES
ui/ExternalProcessingDialog.ui
)

QT5_WRAP_CPP(TRAVERSO_COMMANDS_MOC_SOURCES ${TRAVERSO_COMMANDS_MOC_CLASSES})


SET(TRAVERSO_COMMANDS_LIBRARY "traversocommands")

ADD_LIBRARY(${TRAVERSO_COMMANDS_LIBRARY} STATIC  ${TRAVERSO_COMMANDS_SOURCES} ${TRAVERSO_COMMANDS_UI_SOURCES} ${TRAVERSO_COMMANDS_MOC_SOURCES})

TARGET_LINK_LIBRARIES(traversocommands
	traversocore
)

IF(USE_PCH)
    ADD_DEPENDENCIES(traversocommands precompiled_headers)
ENDIF(USE_PCH)

=== src/commands/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/commands/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/commands/CMakeFiles/traversocommands.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/CMakeFiles/traversocommands.dir/rule
.PHONY : src/commands/CMakeFiles/traversocommands.dir/rule

# Convenience name for target.
traversocommands: src/commands/CMakeFiles/traversocommands.dir/rule

.PHONY : traversocommands

# fast build rule for target.
traversocommands/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/build
.PHONY : traversocommands/fast

# Convenience name for target.
src/commands/CMakeFiles/traversocommands_automoc.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/commands/CMakeFiles/traversocommands_automoc.dir/rule
.PHONY : src/commands/CMakeFiles/traversocommands_automoc.dir/rule

# Convenience name for target.
traversocommands_automoc: src/commands/CMakeFiles/traversocommands_automoc.dir/rule

.PHONY : traversocommands_automoc

# fast build rule for target.
traversocommands_automoc/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands_automoc.dir/build.make src/commands/CMakeFiles/traversocommands_automoc.dir/build
.PHONY : traversocommands_automoc/fast

AddRemove.o: AddRemove.cpp.o

.PHONY : AddRemove.o

# target to build an object file
AddRemove.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/AddRemove.cpp.o
.PHONY : AddRemove.cpp.o

AddRemove.i: AddRemove.cpp.i

.PHONY : AddRemove.i

# target to preprocess a source file
AddRemove.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/AddRemove.cpp.i
.PHONY : AddRemove.cpp.i

AddRemove.s: AddRemove.cpp.s

.PHONY : AddRemove.s

# target to generate assembly for a file
AddRemove.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/AddRemove.cpp.s
.PHONY : AddRemove.cpp.s

ArmTracks.o: ArmTracks.cpp.o

.PHONY : ArmTracks.o

# target to build an object file
ArmTracks.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/ArmTracks.cpp.o
.PHONY : ArmTracks.cpp.o

ArmTracks.i: ArmTracks.cpp.i

.PHONY : ArmTracks.i

# target to preprocess a source file
ArmTracks.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/ArmTracks.cpp.i
.PHONY : ArmTracks.cpp.i

ArmTracks.s: ArmTracks.cpp.s

.PHONY : ArmTracks.s

# target to generate assembly for a file
ArmTracks.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/ArmTracks.cpp.s
.PHONY : ArmTracks.cpp.s

AudioClipExternalProcessing.o: AudioClipExternalProcessing.cpp.o

.PHONY : AudioClipExternalProcessing.o

# target to build an object file
AudioClipExternalProcessing.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/AudioClipExternalProcessing.cpp.o
.PHONY : AudioClipExternalProcessing.cpp.o

AudioClipExternalProcessing.i: AudioClipExternalProcessing.cpp.i

.PHONY : AudioClipExternalProcessing.i

# target to preprocess a source file
AudioClipExternalProcessing.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/AudioClipExternalProcessing.cpp.i
.PHONY : AudioClipExternalProcessing.cpp.i

AudioClipExternalProcessing.s: AudioClipExternalProcessing.cpp.s

.PHONY : AudioClipExternalProcessing.s

# target to generate assembly for a file
AudioClipExternalProcessing.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/AudioClipExternalProcessing.cpp.s
.PHONY : AudioClipExternalProcessing.cpp.s

ClipSelection.o: ClipSelection.cpp.o

.PHONY : ClipSelection.o

# target to build an object file
ClipSelection.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/ClipSelection.cpp.o
.PHONY : ClipSelection.cpp.o

ClipSelection.i: ClipSelection.cpp.i

.PHONY : ClipSelection.i

# target to preprocess a source file
ClipSelection.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/ClipSelection.cpp.i
.PHONY : ClipSelection.cpp.i

ClipSelection.s: ClipSelection.cpp.s

.PHONY : ClipSelection.s

# target to generate assembly for a file
ClipSelection.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/ClipSelection.cpp.s
.PHONY : ClipSelection.cpp.s

CommandGroup.o: CommandGroup.cpp.o

.PHONY : CommandGroup.o

# target to build an object file
CommandGroup.cpp.o:

=== src/core/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/core/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/core/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/core/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/core/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/core/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/core/CMakeFiles/traversocore.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/core/CMakeFiles/traversocore.dir/rule
.PHONY : src/core/CMakeFiles/traversocore.dir/rule

# Convenience name for target.
traversocore: src/core/CMakeFiles/traversocore.dir/rule

.PHONY : traversocore

# fast build rule for target.
traversocore/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/build
.PHONY : traversocore/fast

# Convenience name for target.
src/core/CMakeFiles/traversocore_automoc.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/core/CMakeFiles/traversocore_automoc.dir/rule
.PHONY : src/core/CMakeFiles/traversocore_automoc.dir/rule

# Convenience name for target.
traversocore_automoc: src/core/CMakeFiles/traversocore_automoc.dir/rule

.PHONY : traversocore_automoc

# fast build rule for target.
traversocore_automoc/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore_automoc.dir/build.make src/core/CMakeFiles/traversocore_automoc.dir/build
.PHONY : traversocore_automoc/fast

AudioClip.o: AudioClip.cpp.o

.PHONY : AudioClip.o

# target to build an object file
AudioClip.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClip.cpp.o
.PHONY : AudioClip.cpp.o

AudioClip.i: AudioClip.cpp.i

.PHONY : AudioClip.i

# target to preprocess a source file
AudioClip.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClip.cpp.i
.PHONY : AudioClip.cpp.i

AudioClip.s: AudioClip.cpp.s

.PHONY : AudioClip.s

# target to generate assembly for a file
AudioClip.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClip.cpp.s
.PHONY : AudioClip.cpp.s

AudioClipGroup.o: AudioClipGroup.cpp.o

.PHONY : AudioClipGroup.o

# target to build an object file
AudioClipGroup.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClipGroup.cpp.o
.PHONY : AudioClipGroup.cpp.o

AudioClipGroup.i: AudioClipGroup.cpp.i

.PHONY : AudioClipGroup.i

# target to preprocess a source file
AudioClipGroup.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClipGroup.cpp.i
.PHONY : AudioClipGroup.cpp.i

AudioClipGroup.s: AudioClipGroup.cpp.s

.PHONY : AudioClipGroup.s

# target to generate assembly for a file
AudioClipGroup.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClipGroup.cpp.s
.PHONY : AudioClipGroup.cpp.s

AudioClipManager.o: AudioClipManager.cpp.o

.PHONY : AudioClipManager.o

# target to build an object file
AudioClipManager.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClipManager.cpp.o
.PHONY : AudioClipManager.cpp.o

AudioClipManager.i: AudioClipManager.cpp.i

.PHONY : AudioClipManager.i

# target to preprocess a source file
AudioClipManager.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClipManager.cpp.i
.PHONY : AudioClipManager.cpp.i

AudioClipManager.s: AudioClipManager.cpp.s

.PHONY : AudioClipManager.s

# target to generate assembly for a file
AudioClipManager.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioClipManager.cpp.s
.PHONY : AudioClipManager.cpp.s

AudioFileCopyConvert.o: AudioFileCopyConvert.cpp.o

.PHONY : AudioFileCopyConvert.o

# target to build an object file
AudioFileCopyConvert.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioFileCopyConvert.cpp.o
.PHONY : AudioFileCopyConvert.cpp.o

AudioFileCopyConvert.i: AudioFileCopyConvert.cpp.i

.PHONY : AudioFileCopyConvert.i

# target to preprocess a source file
AudioFileCopyConvert.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioFileCopyConvert.cpp.i
.PHONY : AudioFileCopyConvert.cpp.i

AudioFileCopyConvert.s: AudioFileCopyConvert.cpp.s

.PHONY : AudioFileCopyConvert.s

# target to generate assembly for a file
AudioFileCopyConvert.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioFileCopyConvert.cpp.s
.PHONY : AudioFileCopyConvert.cpp.s

AudioFileMerger.o: AudioFileMerger.cpp.o

.PHONY : AudioFileMerger.o

# target to build an object file
AudioFileMerger.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/AudioFileMerger.cpp.o
.PHONY : AudioFileMerger.cpp.o

AudioFileMerger.i: AudioFileMerger.cpp.i

.PHONY : AudioFileMerger.i

=== src/engine/CMakeLists.txt ===
include_directories(${Qt5Widgets_INCLUDES})


SET(TRAVERSO_ENGINE_MOC_CLASSES
AudioBus.h
AudioDevice.h
TAudioDeviceClient.h
)

SET(TRAVERSO_ENGINE_SOURCES
AudioBus.cpp
AudioChannel.cpp
AudioDevice.cpp
AudioDeviceThread.cpp
TAudioDeviceClient.cpp
Driver.cpp
memops.cpp
)

IF(HAVE_ALSA)
	SET(TRAVERSO_ENGINE_SOURCES
	AlsaDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_ALSA)

IF(HAVE_JACK)
	SET(TRAVERSO_ENGINE_SOURCES
	JackDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
	SET(TRAVERSO_ENGINE_MOC_CLASSES
	JackDriver.h
	${TRAVERSO_ENGINE_MOC_CLASSES}
	)
ENDIF(HAVE_JACK)

IF(HAVE_PORTAUDIO)
	SET(TRAVERSO_ENGINE_SOURCES
	PADriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_PORTAUDIO)

IF(HAVE_PULSEAUDIO)
	SET(TRAVERSO_ENGINE_SOURCES
	PulseAudioDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_PULSEAUDIO)


IF(HAVE_COREAUDIO)
	SET(TRAVERSO_ENGINE_SOURCES
	CoreAudioDriver.cpp
	${TRAVERSO_ENGINE_SOURCES}
	)
ENDIF(HAVE_COREAUDIO)


SET(TRAVERSO_ENGINE_LIBRARY "traversoaudiobackend")

QT5_WRAP_CPP(TRAVERSO_ENGINE_MOC_SOURCES ${TRAVERSO_ENGINE_MOC_CLASSES})

ADD_LIBRARY(${TRAVERSO_ENGINE_LIBRARY} STATIC ${TRAVERSO_ENGINE_SOURCES} ${TRAVERSO_ENGINE_MOC_SOURCES})

IF(USE_PCH)
    ADD_DEPENDENCIES(traversoaudiobackend precompiled_headers)
ENDIF(USE_PCH)

=== src/engine/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/engine/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/engine/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/engine/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/engine/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/engine/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/engine/CMakeFiles/traversoaudiobackend.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/engine/CMakeFiles/traversoaudiobackend.dir/rule
.PHONY : src/engine/CMakeFiles/traversoaudiobackend.dir/rule

# Convenience name for target.
traversoaudiobackend: src/engine/CMakeFiles/traversoaudiobackend.dir/rule

.PHONY : traversoaudiobackend

# fast build rule for target.
traversoaudiobackend/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/build
.PHONY : traversoaudiobackend/fast

# Convenience name for target.
src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/rule
.PHONY : src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/rule

# Convenience name for target.
traversoaudiobackend_automoc: src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/rule

.PHONY : traversoaudiobackend_automoc

# fast build rule for target.
traversoaudiobackend_automoc/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/build.make src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/build
.PHONY : traversoaudiobackend_automoc/fast

AlsaDriver.o: AlsaDriver.cpp.o

.PHONY : AlsaDriver.o

# target to build an object file
AlsaDriver.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AlsaDriver.cpp.o
.PHONY : AlsaDriver.cpp.o

AlsaDriver.i: AlsaDriver.cpp.i

.PHONY : AlsaDriver.i

# target to preprocess a source file
AlsaDriver.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AlsaDriver.cpp.i
.PHONY : AlsaDriver.cpp.i

AlsaDriver.s: AlsaDriver.cpp.s

.PHONY : AlsaDriver.s

# target to generate assembly for a file
AlsaDriver.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AlsaDriver.cpp.s
.PHONY : AlsaDriver.cpp.s

AudioBus.o: AudioBus.cpp.o

.PHONY : AudioBus.o

# target to build an object file
AudioBus.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioBus.cpp.o
.PHONY : AudioBus.cpp.o

AudioBus.i: AudioBus.cpp.i

.PHONY : AudioBus.i

# target to preprocess a source file
AudioBus.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioBus.cpp.i
.PHONY : AudioBus.cpp.i

AudioBus.s: AudioBus.cpp.s

.PHONY : AudioBus.s

# target to generate assembly for a file
AudioBus.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioBus.cpp.s
.PHONY : AudioBus.cpp.s

AudioChannel.o: AudioChannel.cpp.o

.PHONY : AudioChannel.o

# target to build an object file
AudioChannel.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioChannel.cpp.o
.PHONY : AudioChannel.cpp.o

AudioChannel.i: AudioChannel.cpp.i

.PHONY : AudioChannel.i

# target to preprocess a source file
AudioChannel.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioChannel.cpp.i
.PHONY : AudioChannel.cpp.i

AudioChannel.s: AudioChannel.cpp.s

.PHONY : AudioChannel.s

# target to generate assembly for a file
AudioChannel.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioChannel.cpp.s
.PHONY : AudioChannel.cpp.s

AudioDevice.o: AudioDevice.cpp.o

.PHONY : AudioDevice.o

# target to build an object file
AudioDevice.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioDevice.cpp.o
.PHONY : AudioDevice.cpp.o

AudioDevice.i: AudioDevice.cpp.i

.PHONY : AudioDevice.i

# target to preprocess a source file
AudioDevice.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioDevice.cpp.i
.PHONY : AudioDevice.cpp.i

AudioDevice.s: AudioDevice.cpp.s

.PHONY : AudioDevice.s

# target to generate assembly for a file
AudioDevice.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/AudioDevice.cpp.s
.PHONY : AudioDevice.cpp.s

AudioDeviceThread.o: AudioDeviceThread.cpp.o

.PHONY : AudioDeviceThread.o

# target to build an object file
AudioDeviceThread.cpp.o:

=== src/plugins/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src/common
${CMAKE_SOURCE_DIR}/src/core
${CMAKE_SOURCE_DIR}/src/engine
${CMAKE_SOURCE_DIR}/src/commands
${CMAKE_SOURCE_DIR}/src/plugins/native
${CMAKE_SOURCE_DIR}/src/plugins/LV2
${QT_QTXML_INCLUDE_DIR}
)

SET(TRAVERSO_PLUGINS_SOURCES
PluginChain.cpp
Plugin.cpp
PluginManager.cpp
PluginSlider.cpp
native/CorrelationMeter.cpp
native/SpectralMeter.cpp
native/GainEnvelope.cpp
PluginPropertiesDialog.cpp
)

SET(TRAVERSO_PLUGINS_MOC_CLASSES
Plugin.h
PluginChain.h
PluginPropertiesDialog.h
PluginSlider.h
native/CorrelationMeter.h
native/GainEnvelope.h
native/SpectralMeter.h
)

IF(HAVE_LILV)
	SET(TRAVERSO_PLUGINS_SOURCES
	${TRAVERSO_PLUGINS_SOURCES}
	LV2/LV2Plugin.cpp
	)
	SET(TRAVERSO_PLUGINS_MOC_CLASSES
	${TRAVERSO_PLUGINS_MOC_CLASSES}
	LV2/LV2Plugin.h
	)
ENDIF(HAVE_LILV)

QT5_WRAP_CPP(TRAVERSO_PLUGINS_MOC_SOURCES ${TRAVERSO_PLUGINS_MOC_CLASSES})

SET(TRAVERSO_PLUGINS_LIBRARY "traversoplugins")


ADD_LIBRARY(${TRAVERSO_PLUGINS_LIBRARY} STATIC ${TRAVERSO_PLUGINS_SOURCES} ${TRAVERSO_PLUGINS_MOC_SOURCES})

IF(USE_PCH)
    ADD_DEPENDENCIES(traversoplugins precompiled_headers)
ENDIF(USE_PCH)

=== src/plugins/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/plugins/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/plugins/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/plugins/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/plugins/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/plugins/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/plugins/CMakeFiles/traversoplugins.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/plugins/CMakeFiles/traversoplugins.dir/rule
.PHONY : src/plugins/CMakeFiles/traversoplugins.dir/rule

# Convenience name for target.
traversoplugins: src/plugins/CMakeFiles/traversoplugins.dir/rule

.PHONY : traversoplugins

# fast build rule for target.
traversoplugins/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/build
.PHONY : traversoplugins/fast

# Convenience name for target.
src/plugins/CMakeFiles/traversoplugins_automoc.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/plugins/CMakeFiles/traversoplugins_automoc.dir/rule
.PHONY : src/plugins/CMakeFiles/traversoplugins_automoc.dir/rule

# Convenience name for target.
traversoplugins_automoc: src/plugins/CMakeFiles/traversoplugins_automoc.dir/rule

.PHONY : traversoplugins_automoc

# fast build rule for target.
traversoplugins_automoc/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins_automoc.dir/build.make src/plugins/CMakeFiles/traversoplugins_automoc.dir/build
.PHONY : traversoplugins_automoc/fast

LV2/LV2Plugin.o: LV2/LV2Plugin.cpp.o

.PHONY : LV2/LV2Plugin.o

# target to build an object file
LV2/LV2Plugin.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/LV2/LV2Plugin.cpp.o
.PHONY : LV2/LV2Plugin.cpp.o

LV2/LV2Plugin.i: LV2/LV2Plugin.cpp.i

.PHONY : LV2/LV2Plugin.i

# target to preprocess a source file
LV2/LV2Plugin.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/LV2/LV2Plugin.cpp.i
.PHONY : LV2/LV2Plugin.cpp.i

LV2/LV2Plugin.s: LV2/LV2Plugin.cpp.s

.PHONY : LV2/LV2Plugin.s

# target to generate assembly for a file
LV2/LV2Plugin.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/LV2/LV2Plugin.cpp.s
.PHONY : LV2/LV2Plugin.cpp.s

LV2/moc_LV2Plugin.o: LV2/moc_LV2Plugin.cpp.o

.PHONY : LV2/moc_LV2Plugin.o

# target to build an object file
LV2/moc_LV2Plugin.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/LV2/moc_LV2Plugin.cpp.o
.PHONY : LV2/moc_LV2Plugin.cpp.o

LV2/moc_LV2Plugin.i: LV2/moc_LV2Plugin.cpp.i

.PHONY : LV2/moc_LV2Plugin.i

# target to preprocess a source file
LV2/moc_LV2Plugin.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/LV2/moc_LV2Plugin.cpp.i
.PHONY : LV2/moc_LV2Plugin.cpp.i

LV2/moc_LV2Plugin.s: LV2/moc_LV2Plugin.cpp.s

.PHONY : LV2/moc_LV2Plugin.s

# target to generate assembly for a file
LV2/moc_LV2Plugin.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/LV2/moc_LV2Plugin.cpp.s
.PHONY : LV2/moc_LV2Plugin.cpp.s

Plugin.o: Plugin.cpp.o

.PHONY : Plugin.o

# target to build an object file
Plugin.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/Plugin.cpp.o
.PHONY : Plugin.cpp.o

Plugin.i: Plugin.cpp.i

.PHONY : Plugin.i

# target to preprocess a source file
Plugin.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/Plugin.cpp.i
.PHONY : Plugin.cpp.i

Plugin.s: Plugin.cpp.s

.PHONY : Plugin.s

# target to generate assembly for a file
Plugin.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/Plugin.cpp.s
.PHONY : Plugin.cpp.s

PluginChain.o: PluginChain.cpp.o

.PHONY : PluginChain.o

# target to build an object file
PluginChain.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/PluginChain.cpp.o
.PHONY : PluginChain.cpp.o

PluginChain.i: PluginChain.cpp.i

.PHONY : PluginChain.i

# target to preprocess a source file
PluginChain.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/PluginChain.cpp.i
.PHONY : PluginChain.cpp.i

PluginChain.s: PluginChain.cpp.s

.PHONY : PluginChain.s

# target to generate assembly for a file
PluginChain.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/PluginChain.cpp.s
.PHONY : PluginChain.cpp.s

PluginManager.o: PluginManager.cpp.o

.PHONY : PluginManager.o

# target to build an object file
PluginManager.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/PluginManager.cpp.o
.PHONY : PluginManager.cpp.o

PluginManager.i: PluginManager.cpp.i

=== src/sheetcanvas/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/src/sheetcanvas/CMakeFiles/progress.marks
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/sheetcanvas/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/sheetcanvas/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/sheetcanvas/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/sheetcanvas/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/rule
.PHONY : src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/rule

# Convenience name for target.
traversosheetcanvas: src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/rule

.PHONY : traversosheetcanvas

# fast build rule for target.
traversosheetcanvas/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build
.PHONY : traversosheetcanvas/fast

# Convenience name for target.
src/sheetcanvas/CMakeFiles/traversosheetcanvas_automoc.dir/rule:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f CMakeFiles/Makefile2 src/sheetcanvas/CMakeFiles/traversosheetcanvas_automoc.dir/rule
.PHONY : src/sheetcanvas/CMakeFiles/traversosheetcanvas_automoc.dir/rule

# Convenience name for target.
traversosheetcanvas_automoc: src/sheetcanvas/CMakeFiles/traversosheetcanvas_automoc.dir/rule

.PHONY : traversosheetcanvas_automoc

# fast build rule for target.
traversosheetcanvas_automoc/fast:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas_automoc.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas_automoc.dir/build
.PHONY : traversosheetcanvas_automoc/fast

AudioClipView.o: AudioClipView.cpp.o

.PHONY : AudioClipView.o

# target to build an object file
AudioClipView.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/AudioClipView.cpp.o
.PHONY : AudioClipView.cpp.o

AudioClipView.i: AudioClipView.cpp.i

.PHONY : AudioClipView.i

# target to preprocess a source file
AudioClipView.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/AudioClipView.cpp.i
.PHONY : AudioClipView.cpp.i

AudioClipView.s: AudioClipView.cpp.s

.PHONY : AudioClipView.s

# target to generate assembly for a file
AudioClipView.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/AudioClipView.cpp.s
.PHONY : AudioClipView.cpp.s

ClipsViewPort.o: ClipsViewPort.cpp.o

.PHONY : ClipsViewPort.o

# target to build an object file
ClipsViewPort.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/ClipsViewPort.cpp.o
.PHONY : ClipsViewPort.cpp.o

ClipsViewPort.i: ClipsViewPort.cpp.i

.PHONY : ClipsViewPort.i

# target to preprocess a source file
ClipsViewPort.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/ClipsViewPort.cpp.i
.PHONY : ClipsViewPort.cpp.i

ClipsViewPort.s: ClipsViewPort.cpp.s

.PHONY : ClipsViewPort.s

# target to generate assembly for a file
ClipsViewPort.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/ClipsViewPort.cpp.s
.PHONY : ClipsViewPort.cpp.s

Cursors.o: Cursors.cpp.o

.PHONY : Cursors.o

# target to build an object file
Cursors.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/Cursors.cpp.o
.PHONY : Cursors.cpp.o

Cursors.i: Cursors.cpp.i

.PHONY : Cursors.i

# target to preprocess a source file
Cursors.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/Cursors.cpp.i
.PHONY : Cursors.cpp.i

Cursors.s: Cursors.cpp.s

.PHONY : Cursors.s

# target to generate assembly for a file
Cursors.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/Cursors.cpp.s
.PHONY : Cursors.cpp.s

CurveNodeView.o: CurveNodeView.cpp.o

.PHONY : CurveNodeView.o

# target to build an object file
CurveNodeView.cpp.o:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/CurveNodeView.cpp.o
.PHONY : CurveNodeView.cpp.o

CurveNodeView.i: CurveNodeView.cpp.i

.PHONY : CurveNodeView.i

# target to preprocess a source file
CurveNodeView.cpp.i:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/CurveNodeView.cpp.i
.PHONY : CurveNodeView.cpp.i

CurveNodeView.s: CurveNodeView.cpp.s

.PHONY : CurveNodeView.s

# target to generate assembly for a file
CurveNodeView.cpp.s:
	cd /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5 && $(MAKE) -f src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/build.make src/sheetcanvas/CMakeFiles/traversosheetcanvas.dir/CurveNodeView.cpp.s
.PHONY : CurveNodeView.cpp.s

CurveView.o: CurveView.cpp.o

.PHONY : CurveView.o

=== debian/changelog ===
traverso (0.49.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Dmitry Eremin-Solenikov ]
  * d/rules: fix baseline CPU instructions violation (Closes: #916286)
  * d/rules: stop overriding dh_install

  [ Olivier Humbert ]
  * debian/control: http -> https.
  * debian/copyright: adding myself to the debian packaging copyright field.
  * debian/traverso.desktop: adding comments and French.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
  * debian/rules: Set optimization flags for amd64. Thanks to Helmut Grohne
    for the patch. (Closes: #939684)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Sep 2019 21:31:48 +0200

traverso (0.49.5-3) unstable; urgency=medium

  * Team upload.
  * debian/traverso.desktop: drop MimeType. (LP: #1342140)
  * Bump standards version to 4.1.4.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 18 May 2018 17:49:06 +0200

=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libfftw3-dev,
 libflac++-dev,
 libjack-dev,
 libmad0-dev,
 libmp3lame-dev,
 libogg-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 librdf0-dev,
 libsamplerate0-dev,
 liblilv-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libwavpack-dev
Standards-Version: 4.4.0
Homepage: https://traverso-daw.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/traverso.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/traverso

Package: traverso
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_ARCH_OS),linux)
cmake_extra_args += -DWANT_ALSA=OFF
endif
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
export DEB_CPPFLAGS_MAINT_APPEND=-DSSE_OPTIMIZATIONS -DUSE_X86_64_ASM
export DEB_CXXFLAGS_MAINT_APPEND=-msse -mfpmath=sse
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-undefined -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DUSE_SYSTEM_SLV2_LIBRARY=ON \
	-DWANT_MP3_ENCODE=ON \
	-DDETECT_HOST_CPU_FEATURES=OFF \
	$(cmake_extra_args)
